module OpenvasCli
  class Configuration
    def initialize
      config_opts = {
        :username => "admin", 
        :password => "", 
        :host => "localhost", 
        :port => 9390, 
        :buffer_size => 512, 
        :time_out => 60, 
        :auto_login => true, 
        :max_tries => 3
      }
      
      config_opts.each { |key, value|
        add_configuration(key, value)
      }
    end
  
    def add_configuration(name, default)
      Configuration.send :attr_accessor, name.to_sym
      instance_variable_set("@#{name.to_s}".to_sym, default)
    end
  end
end
