require 'active_model'

# Validates an OpenVAS OID
# Used by: VasNVT
class OIDValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    record.errors[attribute] << (options[:message] || "is not a valid UUID") unless
      value =~ /\A[0-9\.]{1,80}\z/
  end
end
