require 'active_model'

# Validates a OpenVAS UUID
class UUIDValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    record.errors[attribute] << (options[:message] || "is not a valid UUID") unless
      value =~ /\A[0-9abcdef\-]{1,40}\z/i
  end
end
