require 'vas_base'

module OpenvasCli
  # Category for NVT rules
  class VasNVTFamily < VasBase
    # Category Name
    attr_accessor :name
    # Number of rules in the family
    attr_accessor :nvt_count
    attr_accessor :is_growing
    
    validates :name, :presence => true, :length => {:minimum => 1}
    
    # Pulls all NVT Families defined on the server.
    #
    # === Options:
    # None.
    #--
    # TODO: Implement options[:sort_by]
    #++
    def self.get_all(options = {})
    
      req = Nokogiri::XML::Builder.new { |xml|
        xml.get_nvt_families
      }
      
      fams = connection.send_receive(req.doc)
      
      ret = []
      fams.xpath('//family').each { |f|
        ret << from_xml_node(f)
      }
      
      ret
    end
    
    def self.from_xml_node(node)
      family            = VasNVTFamily.new
      family.name       = extract_value_from('name', node)
      family.nvt_count  = extract_value_from('max_nvt_count', node).to_i
      family.is_growing = (extract_value_from("growing", node).to_i > 0)

      family
    end
  end
end
