require 'nokogiri'
require 'xml_addin'

module OpenvasCli
  class VasTaskProgress
    include XmlAddin
    
    def overall
      @overall ||= 0
    end
    
    def overall=(val)
      @overall = val
    end
    
    def ip_stats
      @ip_stats ||= {}
    end
    
    def self.from_xml_node(node)
      ret = VasTaskProgress.new
      ret.overall = extract_value_from(".", node).to_i
      node.xpath("./host_progress").each { |p_node|
        prg = extract_value_from(".", p_node).to_i
        hst = extract_value_from("host", p_node)
        ret.ip_stats[hst] = prg
      }
      ret
    end
  end
end
